edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
FontInfo Class Reference
FLTK widgets and functions

Base structure for storing font information; used by FontCache. More...

`#include <edelib/FontCache.h>`

## Public Attributes
char | face [64]
int | sizes [64]
int | nsizes
int | type

## Detailed Description

Base structure for storing font information; used by FontCache.

FontInfo is structure used to store information in cache database. Database is represented in key/value form (actualy it is sdbm powered) where each key is font name and each value FontInfo structure.

## Member Data Documentation

char face[64]

Face name with encoded style; usable only for FLTK.

int nsizes

Actual number of sizes in sizes array.

int sizes[64]

All available sizes for this font.

int type

Type of font; coresponds to FLTK nomenclature (FL_NORMAL, FL_BOLD, FL_ITALIC and FL_BOLD_ITALIC).

The documentation for this class was generated from the following file:

- edelib/FontCache.h